Massimo Paladin <Massimo.Paladin at cern.ch> writes:
RabbitMQ RPM requires erlang which is provided by a lot of
sub-packages.
The Fedora/EPEL erlang RPM only got separated up into many packages
relatively recently (about a year ago, I think). So depending on the
sub-packages would limit which releases of distributions our RPM will
work on.
So, in order to support a wide range of distributions, our RPM still
depends simply on "erlang".

I expect we will reconsider this one day, but it is probably still too
early today.

(Unlike RPM, dpkg supports disjunctions of dependencies, so our Debian
packages don't present this dilemma.)

--
David Wragg
Staff Engineer, RabbitMQ
VMware, Inc.

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 5 of 9 | next ›
Discussion Overview
grouprabbitmq-discuss @
categoriesrabbitmq
postedAug 4, '11 at 11:18a
activeAug 5, '11 at 10:04a
posts9
users7
websiterabbitmq.com
irc#rabbitmq

People

Translate

site design / logo © 2022 Grokbase